読者です 読者をやめる 読者になる 読者になる

Vimのコンパイル

Vimの設定ファイル。vimrcをかっこよさげに簡単にしてくれるサイトがある。
vim-bootstrapというのだが、昨日qiitaを眺めていて見つけた
これで生成されるファイルをダウンロードして.vimrcに置き換えるだけなんだけど。
詰みましてな・・・なぜかって言ったら開発環境に使ってるPCのOSが古いから(VIMも古い・・・)
vim-jp.orgを見ながらコンパイルの設定して ./configureをしてmakeして。 debパッケージングして インストールして。 vim-bootstrapに失敗して ./configureを見なおして makeして・・・って感じ

./configure \
--enable-gui=gtk2 \
--prefix=/opt/vim \
--disable-selinux \
--enable-python3interp=dynamic \
--enable-pythoninterp=dynamic \
--enable-rubyinterp=dynamic \
--enable-multibyte \
--with-python-config-dir=/usr/lib/python2.7/config-i386-linux-gnu/ \
--with-python3-config-dir=/usr/lib/python3.4/config-3.4m-i386-linux-gnu/

最終的にはできたんだけどね・・・かっけえの f:id:a38ka:20161022205018p:plain

広告を非表示にする